import { OnInit, OnDestroy, EventEmitter, ElementRef } from '@angular/core';
import { FormControl } from '@angular/forms';
import { MatAutocompleteTrigger } from '@angular/material';
import { PenUtilitiesService } from '../utilities/pen-utilities.service';
export declare class SearchComponent implements OnInit, OnDestroy {
    private eRef;
    private utilitiesService;
    searchAutoComplete: MatAutocompleteTrigger;
    searchInput: any;
    maxWidth: number;
    placeholderText: string;
    autoCompleteData: Array<any>;
    doSearch: EventEmitter<string>;
    blur: EventEmitter<string>;
    searchControl: FormControl;
    suggestions: string[];
    filteredOptions: Array<string>;
    private _searchControlSub;
    private _searchText;
    private _isFocused;
    onClick(event: any): void;
    constructor(eRef: ElementRef, utilitiesService: PenUtilitiesService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onFocus(): void;
    search(value: any, $event: any): void;
    private prepareSuggestions;
    private filter;
}
